JDBCManagerParams
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.index
Class JDBCManagerParams

    java.lang.Object
      org.gcube.dir.master.index.JDBCManagerParams

All Implemented Interfaces:
  IndexCreationParameters

    public class JDBCManagerParams

extends java.lang.Object
implements IndexCreationParameters

Implementation of `IndexCreationParameters` for `JDBCManager`s.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`JDBCManagerParams()`

Method Summary
`java.lang.String` | `getDriverClassName()` Returns the driver class name.
`java.lang.String` | `getIndexName()`
`java.lang.String` | `getPwd()` Returns the user password.
`java.lang.String` | `getSignature()` Returns the driver's signature.
`java.lang.String` | `getUserName()` Returns the user name.
`void` | `setDriverClassName(java.lang.String driverClassName)` Sets the driver class name.
`void` | `setIndexName(java.lang.String indexName)` Sets the index name.
`void` | `setPwd(java.lang.String pwd)` Sets the user password.
`void` | `setSignature(java.lang.String signature)` Sets the driver's signature.
`void` | `setUserName(java.lang.String userName)` Sets the user name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCManagerParams

    public JDBCManagerParams()

Method Detail

### getDriverClassName

    public java.lang.String getDriverClassName()

  Returns the driver class name.

  Returns:
    the name

### setDriverClassName

    public void setDriverClassName(java.lang.String driverClassName)

  Sets the driver class name.

  Parameters:
    `driverClassName.` -

### getSignature

    public java.lang.String getSignature()

  Returns the driver's signature.

  Returns:
    the signature.

### setSignature

    public void setSignature(java.lang.String signature)

  Sets the driver's signature.

  Parameters:
    `signature` - the signature.

### getIndexName

    public java.lang.String getIndexName()

  Specified by:
    `getIndexName` in interface `IndexCreationParameters`
  Returns:
    the name.

### setIndexName

    public void setIndexName(java.lang.String indexName)

  Sets the index name.

  Parameters:
    `indexName` - the name

### getUserName

    public java.lang.String getUserName()

  Returns the user name.

  Returns:
    the name.

### setUserName

    public void setUserName(java.lang.String userName)

  Sets the user name.

  Parameters:
    `userName` - the name.

### getPwd

    public java.lang.String getPwd()

  Returns the user password.

  Returns:
    the password.

### setPwd

    public void setPwd(java.lang.String pwd)

  Sets the user password.

  Parameters:
    `pwd` - the password.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD